package com.example.demo.service;

import java.util.List;

import com.example.demo.dto.UserDto;
import com.example.demo.entity.User;

public interface UserService {
	UserDto convertToDto(User user);

	User saveUser(User user);

	List<UserDto> getAllUsers();

	UserDto getUserById(Integer Id);

	UserDto saveFavorite(Integer userId, Integer recipeId);

	UserDto updateUser(User user, Integer Id);

	void deleteUser(Integer Id);

	void deleteFavorite(Integer userId, Integer recipeId);
}
